Bug 58289 - nfs and iso images through loop
nfs and iso images through loop
Status: CLOSED CANTFIX
Product: Red Hat Linux
Classification: Retired
Component: nfs-utils (Show other bugs)
7.2
i686 Linux
medium Severity high
: ---
: ---
Assigned To: Pete Zaitcev
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-01-12 22:06 EST by Rudi Heitbaum
Modified: 2007-04-18 12:38 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-10-18 14:17:18 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Rudi Heitbaum 2002-01-12 22:06:09 EST
Mounting a iso image (specifically oracle media) via loop and then exporting
these via nfs does not work correctly. In the deep trees on the oracle media,
the client willnot be able to see some files, this can be made better by going
to the server and doing a find . -print in the iso mount point.

Result is that sharing loop mounted iso does not work for oracle.

Version:

0.3.1-13

How Reproducible:

100%

Steps to Reproduce:
1. mount -o loop /oracle.iso /iso/oracle 
2. add to exports
3. service nfs reload
on client 
4. mount srv:/iso/oracle /mnt/oracle
5. ls in directorys such as:
./stage/Components/oracle.xml.classgen.java/1.0.2.0.0/1/DataFiles/lib.0.0.jar

Actual Results:
No files found....
Comment 1 John Reiser 2002-08-22 11:15:37 EDT
I could not install "null" beta via NFS .iso images, or when those images
were loopback mounted; but a directory of collected RedHat/* file trees
succeeded.  The exporting system was RHL 7.3/i686 updated with all errata as of
July 1, 2002 (via www.tummy.com/KRUD monthly CD-ROM).


When the exported directory contained only
   -rw-------    1 jreiser  jreiser  671547392 Aug 20 13:26 null-i386-disc1.iso
   -rw-------    1 jreiser  jreiser  669417472 Aug 20 16:23 null-i386-disc2.iso
   -rw-------    1 jreiser  jreiser  678625280 Aug 20 19:43 null-i386-disc3.iso
then the NFS installer complained that RedHat installation directory could not
be found.  When I added three directories and loopback mounted each .iso on the
corresponding directory
   drwxr-xr-x    2 root     root         4096 Aug 21 21:03 disc1
   drwxr-xr-x    2 root     root         4096 Aug 21 21:03 disc2
   drwxr-xr-x    2 root     root         4096 Aug 21 21:03 disc3
   -rw-------    1 jreiser  jreiser  671547392 Aug 20 13:26 null-i386-disc1.iso
   -rw-------    1 jreiser  jreiser  669417472 Aug 20 16:23 null-i386-disc2.iso
   -rw-------    1 jreiser  jreiser  678625280 Aug 20 19:43 null-i386-disc3.iso
then I got the same complaint.

When I added another directory and did "cp -var *.iso all"
   drwxrwxr-x    3 jreiser  jreiser      4096 Aug 21 21:23 all
   drwxr-xr-x    2 root     root         4096 Aug 21 21:03 disc1
   drwxr-xr-x    2 root     root         4096 Aug 21 21:03 disc2
   drwxr-xr-x    2 root     root         4096 Aug 21 21:03 disc3
   -rw-------    1 jreiser  jreiser  671547392 Aug 20 13:26 null-i386-disc1.iso
   -rw-------    1 jreiser  jreiser  669417472 Aug 20 16:23 null-i386-disc2.iso
   -rw-------    1 jreiser  jreiser  678625280 Aug 20 19:43 null-i386-disc3.iso
and pointed the installer at the 'all' directory, then installation proceeded
(with no changes to ethernet, firewall, etc.; so those were not the problem.)
Comment 2 Pete Zaitcev 2004-04-19 15:34:54 EDT
Still interested in this one?
Can reproduce on RHEL 3?
Comment 3 Sergey Svishchev 2005-08-22 10:10:20 EDT
I have a similar problem (on RHEL 3 update 5) at work.  We mount a whole lot of
ISO images (more than 300) and make them available to Windows clients with
Samba.  This works well.  RHEL 3 NFS clients, OTOH, do not "see" any files or
directories -- only the mount points.
Comment 4 Sergey Svishchev 2005-09-20 03:16:07 EDT
Oops, user error.  I expected that exporting the root of the tree would work;
instead one should export every single mountpoint ...
Comment 5 Bill Nottingham 2006-10-18 14:17:18 EDT
Red Hat Linux is no longer supported by Red Hat, Inc. If you are still
running Red Hat Linux, you are strongly advised to upgrade to a
current Fedora Core release or Red Hat Enterprise Linux or comparable.
Some information on which option may be right for you is available at
http://www.redhat.com/rhel/migrate/redhatlinux/.

Red Hat apologizes that these issues have not been resolved yet. We do
want to make sure that no important bugs slip through the cracks.
If this issue is still present in a current Fedora Core release, please
open a new bug with the relevant information.

Closing as CANTFIX.

Note You need to log in before you can comment on or make changes to this bug.